org.eclipse.graphiti.mm.algorithms.impl

## Class ImageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.impl.PropertyContainerImpl
        - - org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
          - - org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl
            - - org.eclipse.graphiti.mm.algorithms.impl.ImageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GraphicsAlgorithm, Image, AbstractStyle, GraphicsAlgorithmContainer, PropertyContainer

    public class ImageImpl
    extends GraphicsAlgorithmImpl
    implements Image

An implementation of the model object 'Image'.

The following features are implemented:

- `Id`
- `Stretch H`
- `Stretch V`
- `Proportional`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getId()`
`java.lang.Boolean` `getProportional()`
`java.lang.Boolean` `getStretchH()`
`java.lang.Boolean` `getStretchV()`
`void` `setId(java.lang.String newId)`
`void` `setProportional(java.lang.Boolean newProportional)`
`void` `setStretchH(java.lang.Boolean newStretchH)`
`void` `setStretchV(java.lang.Boolean newStretchV)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl

`basicGetBackground, basicGetForeground, basicGetParentGraphicsAlgorithm, basicGetPictogramElement, basicGetRenderingStyle, basicGetStyle, basicSetParentGraphicsAlgorithm, basicSetPictogramElement, basicSetRenderingStyle, eBaseStructuralFeatureID, eBasicRemoveFromContainerFeature, eDerivedStructuralFeatureID, eInverseAdd, eInverseRemove, getBackground, getFilled, getForeground, getGraphicsAlgorithmChildren, getHeight, getLineStyle, getLineVisible, getLineWidth, getParentGraphicsAlgorithm, getPictogramElement, getRenderingStyle, getStyle, getTransparency, getWidth, getX, getY, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setHeight, setLineStyle, setLineVisible, setLineWidth, setParentGraphicsAlgorithm, setPictogramElement, setRenderingStyle, setStyle, setTransparency, setWidth, setX, setY, unsetFilled, unsetLineVisible`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.GraphicsAlgorithm

`getGraphicsAlgorithmChildren, getHeight, getParentGraphicsAlgorithm, getPictogramElement, getStyle, getWidth, getX, getY, setHeight, setParentGraphicsAlgorithm, setPictogramElement, setStyle, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getId

    public java.lang.String getId()

Specified by:
  `getId` in interface `Image`
Returns:
  the value of the 'Id' attribute.
See Also:
  `Image.setId(String)`, `AlgorithmsPackage.getImage_Id()`

#### setId

    public void setId(java.lang.String newId)

Specified by:
  `setId` in interface `Image`
Parameters:
  `newId` - the new value of the 'Id' attribute.
See Also:
  `Image.getId()`

#### getStretchH

    public java.lang.Boolean getStretchH()

Specified by:
  `getStretchH` in interface `Image`
Returns:
  the value of the 'Stretch H' attribute.
See Also:
  `Image.setStretchH(Boolean)`, `AlgorithmsPackage.getImage_StretchH()`

#### setStretchH

    public void setStretchH(java.lang.Boolean newStretchH)

Specified by:
  `setStretchH` in interface `Image`
Parameters:
  `newStretchH` - the new value of the 'Stretch H' attribute.
See Also:
  `Image.getStretchH()`

#### getStretchV

    public java.lang.Boolean getStretchV()

Specified by:
  `getStretchV` in interface `Image`
Returns:
  the value of the 'Stretch V' attribute.
See Also:
  `Image.setStretchV(Boolean)`, `AlgorithmsPackage.getImage_StretchV()`

#### setStretchV

    public void setStretchV(java.lang.Boolean newStretchV)

Specified by:
  `setStretchV` in interface `Image`
Parameters:
  `newStretchV` - the new value of the 'Stretch V' attribute.
See Also:
  `Image.getStretchV()`

#### getProportional

    public java.lang.Boolean getProportional()

Specified by:
  `getProportional` in interface `Image`
Returns:
  the value of the 'Proportional' attribute.
See Also:
  `Image.setProportional(Boolean)`, `AlgorithmsPackage.getImage_Proportional()`

#### setProportional

    public void setProportional(java.lang.Boolean newProportional)

Specified by:
  `setProportional` in interface `Image`
Parameters:
  `newProportional` - the new value of the 'Proportional' attribute.
See Also:
  `Image.getProportional()`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `GraphicsAlgorithmImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `GraphicsAlgorithmImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `GraphicsAlgorithmImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `GraphicsAlgorithmImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `GraphicsAlgorithmImpl`